.flex {
  display: flex;
}
.flex.flex-center {
  align-items: center;
}
.flex.flex-distribute {
  justify-content: space-around;
}
.flex.flex-reverse {
  justify-content: flex-end;
}
.flex.flex-wrap {
  align-content: flex-start;
  flex-wrap: wrap;
  overflow: auto;
}
.flex.flex-fill {
  justify-content: space-between;
}
.flex.flex-justify-center {
  justify-content: center;
}
.flex > * {
  flex-shrink: 0;
  box-sizing: border-box;
}
.flex > *:not(:last-child) {
  margin-right: 0.5em;
}
.flex.flex-wrap > * {
  margin-bottom: 0.5em;
}
.flex.flex-no-margin > *:not(:last-child) {
  margin-right: 0;
}
.flex.flex-vertical {
  flex-direction: column;
}
.flex.flex-vertical.flex-center {
  justify-content: center;
}
.flex.flex-vertical > *:not(:last-child) {
  margin-right: 0;
  margin-bottom: 0.5em;
}
.flex.flex-vertical.flex-wrap > * {
  margin-right: 0.5em;
}
.flex.flex-vertical.flex-no-margin > *:not(:last-child) {
  margin-right: 0;
  margin-bottom: 0;
}
.flex > .flex-stretch {
  flex-grow: 1;
  flex-basis: 0;
  overflow: hidden;
}
.flex > .flex-shrink {
  flex-shrink: 1;
}
.flex.flex-vertical > .flex-stretch.flex-scrollable {
  overflow-y: auto;
}
.flex:not(.flex-vertical) > .flex-stretch.flex-scrollable {
  overflow-x: auto;
}
